Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 360)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 361)
@@ -1634,7 +814,7 @@
 	E10F2A3F0402E71400050002 /* NJRReadMeController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 3245}}";
-			sepNavSelRange = "{8084, 11}";
-			sepNavVisRange = "{7005, 2536}";
+			sepNavIntBoundsRect = "{{0, 0}, {830, 3366}}";
+			sepNavSelRange = "{11592, 0}";
+			sepNavVisRange = "{9859, 1788}";
 			sepNavWindowFrame = "{{268, 244}, {889, 698}}";
 		};
@@ -1678,7 +858,7 @@
 	E130B9AD03B7C59700000028 /* PSPowerManager.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {940, 1070}}";
-			sepNavSelRange = "{303, 0}";
-			sepNavVisRange = "{0, 2522}";
+			sepNavIntBoundsRect = "{{0, 0}, {830, 946}}";
+			sepNavSelRange = "{371, 0}";
+			sepNavVisRange = "{0, 1745}";
 			sepNavWindowFrame = "{{153, 349}, {889, 698}}";
 		};
@@ -1713,5 +893,5 @@
 		lineNumber = 158;
 		location = Pester;
-		modificationTime = 217582684.089327;
+		modificationTime = 217621338.571945;
 		state = 1;
 	};
@@ -1746,41 +926,24 @@
 		};
 	};
-	E17CA64B0CF695BF00018B34 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E13919E303B9E4E100000028 /* NJRIntervalField.m */;
-		name = "NJRIntervalField.m: 100";
-		rLen = 52;
-		rLoc = 3749;
-		rType = 0;
-		vrLen = 1533;
-		vrLoc = 3195;
-	};
-	E17CA64C0CF695BF00018B34 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: pointer targets in passing argument 1 of ‘initWithCString:length:’ differ in signedness";
-		fRef = E1E9A33903C8EF6700050002 /* SUSpeaker.m */;
-		rLen = 1;
-		rLoc = 53;
-		rType = 1;
-	};
-	E17CA64D0CF695BF00018B34 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E13919E303B9E4E100000028 /* NJRIntervalField.m */;
-		name = "NJRIntervalField.m: 100";
-		rLen = 52;
-		rLoc = 3749;
-		rType = 0;
-		vrLen = 1533;
-		vrLoc = 3195;
-	};
-	E17CA64E0CF695BF00018B34 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1E9A33903C8EF6700050002 /* SUSpeaker.m */;
-		name = "SUSpeaker.m: 54";
-		rLen = 91;
-		rLoc = 1416;
-		rType = 0;
-		vrLen = 730;
-		vrLoc = 1108;
+	E17562BD0CF8E7D000FC5057 /* updates.xml */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {736, 865}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 1323}";
+			sepNavWindowFrame = "{{15, 249}, {795, 924}}";
+		};
+	};
+	E17563F00CF91CBE00FC5057 /* XCDiffFileBookmark */ = {
+		isa = XCDiffFileBookmark;
+		id = "D9676918-B97A-407A-AED6-5D30E0CD9744-40821-00010A860D9876AB";
+	};
+	E17563F10CF91CBE00FC5057 /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E17563F20CF91CBE00FC5057 /* VERSION - SCM */;
+	};
+	E17563F20CF91CBE00FC5057 /* VERSION - SCM */ = {
+		isa = PBXFileReference;
+		path = "VERSION - SCM";
+		sourceTree = "<group>";
 	};
 	E17CA6640CF697FE00018B34 /* SetPortRGBForeColor */ = {
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 360)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 361)
@@ -10018,10 +995,18 @@
 		vrLoc = 0;
 	};
+	E19FD39F03C98645001509F3 /* PSWakeAlert.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {813, 876}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 847}";
+			sepNavWindowFrame = "{{130, 133}, {872, 935}}";
+		};
+	};
 	E1A18CAC03B4344C00000028 /* PSAlerts.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 1595}}";
-			sepNavSelRange = "{1638, 15}";
-			sepNavVisRange = "{1076, 1862}";
-			sepNavWindowFrame = "{{130, 370}, {889, 698}}";
+			sepNavIntBoundsRect = "{{0, 0}, {830, 1617}}";
+			sepNavSelRange = "{2194, 0}";
+			sepNavVisRange = "{1314, 2197}";
+			sepNavWindowFrame = "{{528, 47}, {889, 698}}";
 		};
 	};
@@ -10037,6 +1022,6 @@
 		ignoreCount = 0;
 		location = "";
-		modificationTime = 217582786.916559;
-		state = 1;
+		modificationTime = 217621338.880709;
+		state = 0;
 		symbolName = "-[_NSZombie release]";
 	};
@@ -10061,8 +1046,8 @@
 	E1B11F8B0CF5F30F004975AA /* Info-Pester.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {940, 1069}}";
-			sepNavSelRange = "{410, 0}";
-			sepNavVisRange = "{0, 976}";
-			sepNavWindowFrame = "{{38, 50}, {999, 1128}}";
+			sepNavIntBoundsRect = "{{0, 0}, {736, 865}}";
+			sepNavSelRange = "{981, 0}";
+			sepNavVisRange = "{0, 2337}";
+			sepNavWindowFrame = "{{549, 47}, {795, 924}}";
 		};
 	};
@@ -10123,7 +1108,15 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {940, 2908}}";
-			sepNavSelRange = "{6853, 0}";
-			sepNavVisRange = "{4539, 2679}";
-			sepNavWindowFrame = "{{38, 23}, {999, 1129}}";
+			sepNavSelRange = "{5491, 0}";
+			sepNavVisRange = "{0, 3062}";
+			sepNavWindowFrame = "{{38, 50}, {999, 1128}}";
+		};
+	};
+	E1DEF10303FF816300050002 /* PSSnoozeUntilController.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {813, 1859}}";
+			sepNavSelRange = "{1020, 0}";
+			sepNavVisRange = "{0, 2780}";
+			sepNavWindowFrame = "{{107, 154}, {872, 935}}";
 		};
 	};
@@ -10138,7 +1131,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {830, 671}}";
-			sepNavSelRange = "{1177, 0}";
-			sepNavVisRange = "{0, 2232}";
-			sepNavWindowFrame = "{{726, 181}, {889, 698}}";
+			sepNavSelRange = "{1543, 0}";
+			sepNavVisRange = "{0, 2238}";
+			sepNavWindowFrame = "{{835, 4}, {889, 698}}";
 		};
 	};
@@ -10216,5 +1209,5 @@
 		ignoreCount = 0;
 		location = libSystem.B.dylib;
-		modificationTime = 217582684.089453;
+		modificationTime = 217621338.572037;
 		state = 1;
 		symbolName = szone_error;
@@ -10259,9 +1252,17 @@
 		};
 	};
+	F562F809037E5D0101AEEDB1 /* VERSION */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {736, 888}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 6}";
+			sepNavWindowFrame = "{{176, 102}, {795, 924}}";
+		};
+	};
 	F589C9C6035AA12B0155F4B2 /* Read Me.rtfd */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {960, 4291}}";
-			sepNavSelRange = "{9338, 0}";
-			sepNavVisRect = "{{0, 2209}, {960, 1068}}";
+			sepNavIntBoundsRect = "{{0, 0}, {960, 4459}}";
+			sepNavSelRange = "{14260, 0}";
+			sepNavVisRect = "{{0, 2212}, {960, 1091}}";
 			sepNavWindowFrame = "{{15, 50}, {999, 1128}}";
 		};
@@ -10278,6 +1279,6 @@
 		ignoreCount = 0;
 		location = "";
-		modificationTime = 217582786.916547;
-		state = 1;
+		modificationTime = 217621338.862668;
+		state = 0;
 		symbolName = "-[_NSZombie methodSignatureForSelector:]";
 	};
@@ -10285,15 +1286,15 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {940, 1092}}";
-			sepNavSelRange = "{2264, 0}";
-			sepNavVisRange = "{0, 2303}";
-			sepNavWindowFrame = "{{619, 50}, {999, 1128}}";
+			sepNavSelRange = "{484, 0}";
+			sepNavVisRange = "{0, 2347}";
+			sepNavWindowFrame = "{{23, 50}, {999, 1128}}";
 		};
 	};
 	F59DC6D40353C9E601AEEDB1 /* PSAlarmSetController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 6912}}";
-			sepNavSelRange = "{7964, 0}";
-			sepNavVisRange = "{7377, 1279}";
-			sepNavWindowFrame = "{{619, 50}, {999, 1128}}";
+			sepNavIntBoundsRect = "{{0, 0}, {940, 6517}}";
+			sepNavSelRange = "{3828, 6}";
+			sepNavVisRange = "{883, 5392}";
+			sepNavWindowFrame = "{{868, 50}, {999, 1128}}";
 		};
 	};
@@ -10306,4 +1307,9 @@
 		};
 	};
+	F59DC6E30353ED1201AEEDB1 /* Application icon.icns */ = {
+		uiCtxt = {
+			sepNavWindowFrame = "{{153, 349}, {889, 698}}";
+		};
+	};
 	F59DC6FC0354188F01AEEDB1 /* NJRDateFormatter.h */ = {
 		uiCtxt = {
@@ -10317,14 +1323,22 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {813, 2376}}";
-			sepNavSelRange = "{4681, 0}";
-			sepNavVisRange = "{4107, 2019}";
+			sepNavSelRange = "{5530, 0}";
+			sepNavVisRange = "{3665, 2352}";
 			sepNavWindowFrame = "{{90, 149}, {872, 935}}";
 		};
 	};
+	F59DD4500358ABF4017318D0 /* English */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {813, 876}}";
+			sepNavSelRange = "{412, 0}";
+			sepNavVisRange = "{0, 412}";
+			sepNavWindowFrame = "{{61, 196}, {872, 935}}";
+		};
+	};
 	F59E47A7036AAA6D016B311C /* PSAlert.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {920, 880}}";
-			sepNavSelRange = "{760, 44}";
-			sepNavVisRange = "{17, 687}";
+			sepNavIntBoundsRect = "{{0, 0}, {761, 869}}";
+			sepNavSelRange = "{1016, 17}";
+			sepNavVisRange = "{0, 1813}";
 			sepNavWindowFrame = "{{469, -22}, {820, 839}}";
 		};
@@ -10355,7 +1369,8 @@
 	F59E47B4036AAD55016B311C /* PSAlarmAlertController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 1177}}";
-			sepNavSelRange = "{2162, 33}";
-			sepNavVisRange = "{0, 729}";
+			sepNavIntBoundsRect = "{{0, 0}, {813, 1045}}";
+			sepNavSelRange = "{1054, 0}";
+			sepNavVisRange = "{358, 2980}";
+			sepNavWindowFrame = "{{38, 217}, {872, 935}}";
 		};
 	};
@@ -10370,6 +1385,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {761, 780}}";
-			sepNavSelRange = "{871, 0}";
-			sepNavVisRange = "{0, 1152}";
+			sepNavSelRange = "{873, 17}";
+			sepNavVisRange = "{0, 1126}";
 			sepNavWindowFrame = "{{130, 229}, {820, 839}}";
 		};
@@ -10417,5 +1432,5 @@
 		ignoreCount = 0;
 		location = CoreFoundation;
-		modificationTime = 217582684.08946;
+		modificationTime = 217621338.572041;
 		state = 1;
 		symbolName = "-[NSException raise]";
Index: trunk/Cocoa/Pester/Source/VERSION
===================================================================
--- trunk/Cocoa/Pester/Source/VERSION	(revision 360)
+++ trunk/Cocoa/Pester/Source/VERSION	(revision 361)
@@ -1,1 +1,1 @@
-1.1b4
+1.1b5
Index: trunk/Cocoa/Pester/package-Pester.sh
===================================================================
--- trunk/Cocoa/Pester/package-Pester.sh	(revision 360)
+++ trunk/Cocoa/Pester/package-Pester.sh	(revision 361)
@@ -1,38 +1,53 @@
-#!/bin/zsh
+#!/bin/zsh -e
 
-#set -x -v
+# set -x -v
 
 PACKAGEDIR="$PWD"
 PRODUCT="Pester"
 
-cd "$PACKAGEDIR"/Source && \
-find . -name \*~\* -exec rm -r '{}' \; && \
-rm -f .gdb_history && \
-VERSION=`cat VERSION` && \
-DMG="$PRODUCT-$VERSION.dmg" VOL="$PRODUCT $VERSION" DSTROOT="$PACKAGEDIR/$VOL" && \
-sudo rm -fr "$DSTROOT" && \
-rm -rf build/ && \
-pbxbuild install "DSTROOT=$DSTROOT" && \
-rm -rf build/ && \
-ditto -rsrc "$PACKAGEDIR"/Source "$DSTROOT"/Source && \
-ditto -rsrc "${PACKAGEDIR}/Read Me" "$DSTROOT" && \
-rm -rf "$DSTROOT"/Source/build "${DSTROOT}/Source/Read Me.rtfd" && \
-find "$DSTROOT" -name ".svn" -exec sudo /bin/rm -rf "{}" \; ; \
-cd "$PACKAGEDIR" && \
-rm -f "$DMG" && \
-hdiutil create "$DMG" -megabytes 5 -ov -layout NONE -fs 'HFS+' -volname "$VOL" && \
-MOUNT=`hdiutil attach "$DMG"` && \
-DISK=`echo "$MOUNT" | sed -ne ' s|^/dev/\([^ ]*\).*$|\1|p'` && \
-MOUNTPOINT=`echo "$MOUNT" | sed -ne 's|^.*\(/Volumes/.*\)$|\1|p'` && \
-ditto -rsrc "$DSTROOT" "$MOUNTPOINT" && \
-chmod -R a+rX,u+w "$MOUNTPOINT" && \
-openUp "$MOUNTPOINT" && \
-hdiutil detach $DISK && \
-hdiutil resize -sectors min "$DMG" && \
-hdiutil convert "$DMG" -format UDZO -imagekey zlib-level=9 -o "z$DMG" && \
-mv "z$DMG" "$DMG" && \
-hdiutil internet-enable "$DMG" && \
-scp "$DMG" ainaz:web/nriley/software/ && \
-cd "$PACKAGEDIR"/Source && \
-agvtool bump -all && \
-:
+# gather information
+cd "$PACKAGEDIR"/Source
+VERSION=`cat VERSION`
+BUILD=`agvtool vers -terse`
+DMG="$PRODUCT-$VERSION.dmg" VOL="$PRODUCT $VERSION"
+DSTROOT="$PACKAGEDIR/$VOL"
+
+# clean and build
+sudo rm -rf "$DSTROOT"
+find . -name \*~ -exec rm '{}' \;
+rm -rf build/ Sparkle/build/
+cd Sparkle
+xcodebuild -target Sparkle -configuration Release
+cd ..
+xcodebuild -target Pester -configuration Release "DSTROOT=$DSTROOT" \
+    DEPLOYMENT_LOCATION=YES install
+rm -rf build/Release # or Xcode gets confused next time because of the symlink
+find "$DSTROOT" \( -name ".svn" -or -name "Headers" \) \
+    -exec sudo /bin/rm -rf "{}" \; || true
+
+# create disk image
+cd "$PACKAGEDIR"
+rm -f $DMG
+hdiutil create $DMG -megabytes 5 -ov -layout NONE -fs 'HFS+' -volname $VOL
+MOUNT=`hdiutil attach $DMG`
+DISK=`echo $MOUNT | sed -ne ' s|^/dev/\([^ ]*\).*$|\1|p'`
+MOUNTPOINT=`echo $MOUNT | sed -ne 's|^.*\(/Volumes/.*\)$|\1|p'`
+ditto -rsrc "$DSTROOT" "$MOUNTPOINT"
+chmod -R a+rX,u+w "$MOUNTPOINT"
+hdiutil detach $DISK
+hdiutil resize -sectors min $DMG
+hdiutil convert $DMG -format UDBZ -o z$DMG
+mv z$DMG $DMG
+hdiutil internet-enable $DMG
+zmodload zsh/stat
+SIZE=$(stat -L +size $DMG)
+
+# update Web presence
+DIGEST=`openssl dgst -sha1 -binary < $DMG | openssl dgst -dss1 -sign ~/Documents/Development/DSA/dsa_priv.pem | openssl enc -base64`
+perl -pi -e 's|(<enclosure url=".+'$DMG'").+/>|\1 length="'$SIZE'" type="application/x-apple-diskimage" sparkle:version="'$BUILD'" sparkle:shortVersionString="'$VERSION'" sparkle:dsaSignature="'$DIGEST'"/>|' Updates/updates.xml
+scp $DMG ainaz:web/nriley/software/
+ssh ainaz chmod go+r web/nriley/software/$DMG
+rsync -avz --exclude='.*' Updates/ ainaz:web/nriley/software/$PRODUCT/
+cd "$PACKAGEDIR"/Source
+# agvtool bump -all
+
